Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77792 - quota not working with LVM
Summary: quota not working with LVM
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: quota
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-13 17:46 UTC by aspa
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-13 17:50:11 UTC


Attachments (Terms of Use)

Description aspa 2002-11-13 17:46:46 UTC
Description of Problem:
filesystem quotas don't seem to be working on LVM logical volume filesystems.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.18-17.8.0

How Reproducible: always

Steps to Reproduce:
1. create a ext3 filesystem on LVM logical volume
2. mount filesystem with user and group quota
3. /sbin/quotacheck -v -F vfsv0 /home

Actual Results:
quotacheck: Cannot get quotafile name for /dev/Volume00/LogVol03

Expected Results:
quotacheck: Scanning /dev/hda7 [/home] done
quotacheck: Checked 22 directories and 58 files

aquota.user should be created.

Additional Information:

Comment 1 aspa 2002-11-15 07:37:55 UTC
after creating the quota files with touch (aquota.{user|group}) the quotacheck
command didn't give the 'Cannot get quotafile name' message as before but
when booting the system i still got the following error messages even
though the quota files exist:

Enabling local filesystem quotas:  quotaon: Cannot find quota file on /home
[/dev/Volume00/LogVol03] to turn quotas on/off.
quotaon: Cannot find quota file on /home [/dev/Volume00/LogVol03] to turn
quotas on/off.
quotaon: Cannot find quota file on /var [/dev/Volume00/LogVol01] to turn quotas
on/off.
quotaon: Cannot find quota file on /var [/dev/Volume00/LogVol01] to turn quotas
on/off.

this got fixed with running '/sbin/quotacheck -ug <fs>' on both
filesystems.



Note You need to log in before you can comment on or make changes to this bug.